<?php

namespace App\View\Components;

use App\Auth\XenForoUser;
use App\Services\XenforoService;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class XenForoAvatar extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public null|int|XenForoUser $user = null,
    )
    {
        if( $this->user === null )
            $this->user = \Auth::user();
        else if( is_int( $this->user ) )
            $this->user = app(XenforoService::class)->getXfUser( $this->user );
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.xen-foro-avatar');
    }
}
